SocketOptions
Date: 2016-06-24

java.net

## Interface SocketOptions

- All Known Implementing Classes:
    DatagramSocketImpl, SocketImpl

      public interface SocketOptions

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `IP_MULTICAST_IF`
    `static int` | `IP_MULTICAST_IF2`
    `static int` | `IP_MULTICAST_LOOP`
    `static int` | `IP_TOS`
    `static int` | `SO_BINDADDR`
    `static int` | `SO_BROADCAST`
    `static int` | `SO_KEEPALIVE`
    `static int` | `SO_LINGER`
    `static int` | `SO_OOBINLINE`
    `static int` | `SO_RCVBUF`
    `static int` | `SO_REUSEADDR`
    `static int` | `SO_SNDBUF`
    `static int` | `SO_TIMEOUT`
    `static int` | `TCP_NODELAY`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `getOption(int var0)`
    `void` | `setOption(int var0, Object var1)`

- - ### Field Detail

    - #### IP_MULTICAST_IF

          static final int IP_MULTICAST_IF

      See Also:
        Constant Field Values

    - #### IP_MULTICAST_IF2

          static final int IP_MULTICAST_IF2

      See Also:
        Constant Field Values

    - #### IP_MULTICAST_LOOP

          static final int IP_MULTICAST_LOOP

      See Also:
        Constant Field Values

    - #### IP_TOS

          static final int IP_TOS

      See Also:
        Constant Field Values

    - #### SO_BINDADDR

          static final int SO_BINDADDR

      See Also:
        Constant Field Values

    - #### SO_BROADCAST

          static final int SO_BROADCAST

      See Also:
        Constant Field Values

    - #### SO_KEEPALIVE

          static final int SO_KEEPALIVE

      See Also:
        Constant Field Values

    - #### SO_LINGER

          static final int SO_LINGER

      See Also:
        Constant Field Values

    - #### SO_OOBINLINE

          static final int SO_OOBINLINE

      See Also:
        Constant Field Values

    - #### SO_RCVBUF

          static final int SO_RCVBUF

      See Also:
        Constant Field Values

    - #### SO_REUSEADDR

          static final int SO_REUSEADDR

      See Also:
        Constant Field Values

    - #### SO_SNDBUF

          static final int SO_SNDBUF

      See Also:
        Constant Field Values

    - #### SO_TIMEOUT

          static final int SO_TIMEOUT

      See Also:
        Constant Field Values

    - #### TCP_NODELAY

          static final int TCP_NODELAY

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getOption

          Object getOption(int var0)
                           throws SocketException

      Throws:
        `SocketException`

    - #### setOption

          void setOption(int var0,
                       Object var1)
                         throws SocketException

      Throws:
        `SocketException`